Bug 108788 - accessing any PTAL device causes the system to lock up solid
accessing any PTAL device causes the system to lock up solid
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-01 22:56 EST by Scott Venier
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Venier 2003-11-01 22:56:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
Anytime I try to access any PTAL functions on my USB connected HP
OfficeJet K60, the entire machine locks up solid.  By 'access' I mean
printing a CUPS test page or running 'ptal-hp display'.

I am running on a HyperThreaded P4 using the smp kernels.  I have
tried the shipped RH9 kernel, one of the early errata kernels, and the
current (as of 11/1) errata kernel.

Version-Release number of selected component (if applicable):
hpoj-0.90-19, hpoj-0.90-14

How reproducible:
Always

Steps to Reproduce:
1. export LANG=C  #to get around the perl problem
2. /etc/init.d/hpoj start
3. ptal-hp display
    

Actual Results:  the machine locked up solid...  no reponse to
keyboard or mouse input...  doesn't even answer pings

Expected Results:  a text string that matches what's on the display of
my printer

Additional info:

This hang doesn't happen when booted with the uniprocessor kernel. 
Which probably means it's a kernel bug, but I don't know enough about
how the PTAL stuff works to file a meaningful kernel bug report.
Comment 1 Tim Waugh 2003-11-02 08:53:40 EST
Yes, this is a kernel bug.
Comment 2 Bugzilla owner 2004-09-30 11:41:41 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.